## dmucs 0.6.1

=== debian/changelog ===
dmucs (0.6.1-3) unstable; urgency=medium

  * QA upload.
  * Improve build rules and switch to debhelper 9 source
    format 3.0 (quilt) (Closes: #668524).
  * Added 03_gcc-7.patch to fix gcc 7 build problem (Closes: #853376).
  * Acknowledge NMU (Closes: #574986).
  * Added Recommends on distcc (Closes: #663068).
  * Make build reproducible (Closes: #839647).

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 18 Oct 2017 21:40:12 +0000

dmucs (0.6.1-2.1) unstable; urgency=low

  * Non-maintainer upload to fix release goal.
  * Add missing init.d script dependencies (Closes: #541382).
  * Add watch file from Ubuntu (Closes: #559211).
  * Make sure to remove config.log in clean target.  Thanks to lintian
    for discovering the problem.
  * Add 01_fix_FTBFS_vsprintf.dpatch to fix build problem on alpha and
    sh4 by making sure va_list is used (Closes: #519824).  Add dpatch
    support to apply this patch.  Patch fromNobuhiro Iwamatsu.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 22 Mar 2010 17:04:23 +0100

dmucs (0.6.1-2) unstable; urgency=low

  * fix amd64 build (Closes: #471187)
  * fix all build warnings
  * fix crash bug in monitor.cc when hostname conains no '.'

 -- Sam Clegg <samo@debian.org>  Sat, 21 Feb 2009 11:52:07 +0000

dmucs (0.6.1-1) unstable; urgency=low

  * debian/copyright: add copyright notice for files under COSMIC
  * Initial release (Closes: #407253)

 -- Sam Clegg <samo@debian.org>  Sun, 02 Mar 2008 17:42:55 +0000
