=== debian/watch ===
version=3
http://sf.net/dmucs/dmucs-(.*)\.tar\.bz2
