## dmucs 0.6.1+dfsg

=== debian/changelog ===
dmucs (0.6.1+dfsg-1) unstable; urgency=medium

  * QA upload.
  * Removed unused, non DFSG-compliant file test.cc from source. This also fixed
    a fail to build source after a successful build. (Closes: #1044290)
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends and bumped level to 13.
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Added Vcs-* fields.
      - Bumped Standards-Version to 4.7.0.
      - Removed obsolete package lsb-base from Depends.
      - Removed useless autotools-dev from Build-Depends.
  * debian/copyright:
      - Added missing upstream copyright information.
      - Migrated to machine-readable 1.0 format.
      - Updated packaging copyright information.
  * debian/gbp.conf: set debian-branch to debian/master to comply with DEP-14
    layout recommendations.
  * debian/rules:
      - Added an override to dh_auto_configure to avoid passing the unrecognized
        option: `--runstatedir=/run' to configure.
      - Removed '-Wl,--as-needed' linker flag, as since bullseye the toolchain
        defaults to linking with it.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/upstream/metadata: created.
  * debian/watch: migrated to version 4.

 -- David da Silva Polverari <polverari@debian.org>  Mon, 22 Apr 2024 00:19:52 +0000

dmucs (0.6.1-4) unstable; urgency=medium

  * QA upload.
  * debian/control: bumped Standards-Version to 4.6.2.
  * debian/patches/50_fix-FTBS-GCC-13.patch: added to fix FTBFS with GCC-13.
    (Closes: #1037619)

 -- David da Silva Polverari <polverari@debian.org>  Sat, 05 Aug 2023 05:23:45 +0000
