=== debian/control ===
--- 
+++ 
@@ -2,13 +2,16 @@
 Section: devel
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 9), autotools-dev
-Standards-Version: 4.1.1
+Build-Depends: debhelper-compat (= 13)
+Rules-Requires-Root: no
+Standards-Version: 4.7.0
 Homepage: http://dmucs.sourceforge.net/
+Vcs-Git: https://salsa.debian.org/debian/dmucs.git
+Vcs-Browser: https://salsa.debian.org/debian/dmucs
 
 Package: dmucs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: distcc
 Description: distributed compilation system for use with distcc
  DMUCS is a system that allows a group of users to share a compilation farm.
