=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wall

override_dh_auto_install:
	cp -a remhost addhost

override_dh_auto_configure:
	./configure

override_dh_clean:
	dh_clean
	rm -f addhost config.log

%:
	dh $@
