=== debian/watch ===
version=4
http://sf.net/dmucs/dmucs-(.*)\.tar\.bz2
